Change ingress load balancer plan
import requests
url = "https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/load-balancer-plan"
payload = { "load_balancer_plan": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({load_balancer_plan: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/load-balancer-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/load-balancer-plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"load_balancer_plan": "<string>"
}
'{
"load_balancer_plan": "<string>",
"previous_load_balancer_plan": "<string>",
"changed": true,
"resource_ids": [
"<string>"
]
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}UpCloud Clusters
Change ingress load balancer plan
Record a new UpCloud plan for the cluster’s ingress load balancer. Ankra re-renders the Traefik Service’s load balancer annotation and the UpCloud cloud controller manager moves the existing balancer onto the plan in place. The plan is checked against UpCloud’s catalogue; refusals (unknown plan, non-UpCloud cluster, no Ankra-managed cloud controller or ingress, cloud provider stack not settled) answer 409.
PUT
/
api
/
v1
/
clusters
/
upcloud
/
{cluster_id}
/
load-balancer-plan
Change ingress load balancer plan
import requests
url = "https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/load-balancer-plan"
payload = { "load_balancer_plan": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({load_balancer_plan: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/load-balancer-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/load-balancer-plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"load_balancer_plan": "<string>"
}
'{
"load_balancer_plan": "<string>",
"previous_load_balancer_plan": "<string>",
"changed": true,
"resource_ids": [
"<string>"
]
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json